breaks.AP {activpalProcessing} | R Documentation

## Estimate the Number of Sit to Stand Transitions

### Description

This function estimates the number of sit to stand transitions. This function works on a numeric vector where 0 indicates sitting, 1 indicates standing and 2 indicates stepping. The sum of the instances AP posture transitions from 0 to 1 or 0 to 2.

### Usage

    breaks.AP(posture)

### Arguments

`posture` | a numeric vector (in any epoch) where 0 indicates sitting, 1 indicates standing and 2 indicates stepping.

### Value

Numeric value indicating breaks from sitting

### Author(s)

John Staudenmayer

### Examples

    data(second.by.second)
    posture <- second.by.second.data$ap.posture

    breaks.AP(posture)

    # summarize by date
    tapply(second.by.second.data$ap.posture, second.by.second.data$date, breaks.AP)

[Package activpalProcessing version 1.0.2 Index]